digiKam Developer Documentation: Digikam::ProxyLineEdit Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::ProxyLineEdit Class Reference
Inheritance diagram for Digikam::ProxyLineEdit:

## Signals
void | signalClearButtonPressed ()

## Public Member Functions
| ProxyLineEdit (QWidget *const parent=nullptr)
| This class will not act as a QLineEdit at all, but present another widget (any kind of widget) instead in the space assigned to the QLineEdit.
void | setClearButtonShown (bool show)
virtual void | setWidget (QWidget *widget)
| After constructing, set the actual widget here.

## Protected Member Functions
void | changeEvent (QEvent *event) override
void | contextMenuEvent (QContextMenuEvent *event) override
void | dragEnterEvent (QDragEnterEvent *event) override
void | dragLeaveEvent (QDragLeaveEvent *e) override
void | dragMoveEvent (QDragMoveEvent *e) override
void | dropEvent (QDropEvent *event) override
void | focusInEvent (QFocusEvent *event) override
void | focusOutEvent (QFocusEvent *event) override
void | inputMethodEvent (QInputMethodEvent *event) override
void | keyPressEvent (QKeyEvent *event) override
QSize | minimumSizeHint () const override
void | mouseDoubleClickEvent (QMouseEvent *event) override
void | mouseMoveEvent (QMouseEvent *event) override
| We just re-implement all relevant QWidget event handlers and call the QWidget implementation, not the QLineEdit one.
void | mousePressEvent (QMouseEvent *event) override
| NOTE: see bug #326718: We need to use QLineEdit parent class with these methods to have clear button working fine.
void | mouseReleaseEvent (QMouseEvent *event) override
void | paintEvent (QPaintEvent *event) override
QSize | sizeHint () const override

## Protected Attributes
QVBoxLayout * | m_layout = nullptr
QWidget * | m_widget = nullptr

## Constructor & Destructor Documentation

## ◆ ProxyLineEdit()

Digikam::ProxyLineEdit::ProxyLineEdit | ( | QWidget *const | parent = `nullptr` | ) |
| explicit

Use this class if you need to pass a QLineEdit but want actually to use a different widget.